import gevent
from gevent import monkey
monkey.patch_socket()

from urllib.request import urlopen, Request

HEADERS = {'User-Agent': "Mozilla/5.0 Gecko Firefox"}


class Example:
    def __init__(self):
        self.total = 0

    def _download(self, url):
        u = urlopen(Request(url, headers=HEADERS))
        length = len(u.read())
        self.total += length

    def go(self):
        jobs = []
        for i in ['b', 'f', 'm']:
            url = "http://taniquetil.com.ar/{}.png".format(i)
            j = gevent.spawn(self._download, url)
            jobs.append(j)
        gevent.joinall(jobs)


e = Example()
e.go()
print("Done:", e.total)
